Package org.bukkit.block

# Class DoubleChest

java.lang.Object
org.bukkit.block.DoubleChest

All Implemented Interfaces:
  `InventoryHolder`

public class DoubleChest extends Object implements InventoryHolder
Represents a double chest.

## Constructor Summary

Constructors
Constructor
Description
`DoubleChest(@NotNull DoubleChestInventory chest)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Inventory`
`getInventory()`
Get the object's inventory.
`@Nullable InventoryHolder`
`getLeftSide()`
`@Nullable InventoryHolder`
`getLeftSide(boolean useSnapshot)`
`@NotNull Location`
`getLocation()`
`@Nullable InventoryHolder`
`getRightSide()`
`@Nullable InventoryHolder`
`getRightSide(boolean useSnapshot)`
`@Nullable World`
`getWorld()`
`double`
`getX()`
`double`
`getY()`
`double`
`getZ()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DoubleChest

public DoubleChest(@NotNull @NotNull DoubleChestInventory chest)

## Method Details

### getInventory

@NotNull public @NotNull Inventory getInventory()
Description copied from interface: `InventoryHolder`
Get the object's inventory.

Specified by:
  `getInventory` in interface `InventoryHolder`
Returns:
  The inventory.

### getLeftSide

@Nullable public @Nullable InventoryHolder getLeftSide()

### getRightSide

@Nullable public @Nullable InventoryHolder getRightSide()

### getLeftSide

@Nullable public @Nullable InventoryHolder getLeftSide(boolean useSnapshot)

### getRightSide

@Nullable public @Nullable InventoryHolder getRightSide(boolean useSnapshot)

### getLocation

@NotNull public @NotNull Location getLocation()

### getWorld

@Nullable public @Nullable World getWorld()

### getX

public double getX()

### getY

public double getY()

### getZ

public double getZ()